org.apache.xmlbeans.impl.regex

## Class REUtil

- java.lang.Object
- - org.apache.xmlbeans.impl.regex.REUtil

-     public final class REUtil
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RegularExpression` | `createRegex(String pattern, String options)` Creates a RegularExpression instance.
    `static void` | `main(String[] argv)` Sample entry.
    `static boolean` | `matches(String regex, String target)`
    `static boolean` | `matches(String regex, String options, String target)`
    `static String` | `quoteMeta(String literal)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### main

          public static void main(String[] argv)

      Sample entry.
      Usage: `org.apache.xerces.utils.regex.REUtil <regex> <string>`

    - #### createRegex

          public static RegularExpression createRegex(String pattern,
                                                      String options)
                                               throws ParseException

      Creates a RegularExpression instance. This method caches created instances.
      Throws:
        `ParseException`
      See Also:
        `RegularExpression.RegularExpression(java.lang.String, java.lang.String)`

    - #### matches

          public static boolean matches(String regex,
                                        String target)
                                 throws ParseException

      Throws:
        `ParseException`
      See Also:
        `RegularExpression.matches(java.lang.String)`

    - #### matches

          public static boolean matches(String regex,
                                        String options,
                                        String target)
                                 throws ParseException

      Throws:
        `ParseException`
      See Also:
        `RegularExpression.matches(java.lang.String)`

    - #### quoteMeta

          public static String quoteMeta(String literal)